import { Resource, TroopType, Village } from "./types.js";

export default [
  {
    name: "Barbarian",
    type: TroopType.Troop,
    village: Village.Home,
    resource: Resource.Elixir,
    levels: {
      1: 1,
      2: 1,
      3: 2,
      4: 2,
      5: 3,
      6: 3,
      7: 4,
      8: 5,
      9: 6,
      10: 7,
      11: 8,
      12: 9,
      13: 9,
      14: 10,
      15: 11,
    },
  },
  {
    name: "Archer",
    type: TroopType.Troop,
    village: Village.Home,
    resource: Resource.Elixir,
    levels: {
      1: 0,
      2: 1,
      3: 2,
      4: 2,
      5: 3,
      6: 3,
      7: 4,
      8: 5,
      9: 6,
      10: 7,
      11: 8,
      12: 9,
      13: 9,
      14: 10,
      15: 11,
    },
  },
  {
    name: "Giant",
    type: TroopType.Troop,
    village: Village.Home,
    resource: Resource.Elixir,
    levels: {
      1: 0,
      2: 1,
      3: 2,
      4: 2,
      5: 3,
      6: 3,
      7: 4,
      8: 5,
      9: 6,
      10: 7,
      11: 8,
      12: 9,
      13: 10,
      14: 10,
      15: 11,
    },
  },
  {
    name: "Goblin",
    type: TroopType.Troop,
    village: Village.Home,
    resource: Resource.Elixir,
    levels: {
      1: 0,
      2: 1,
      3: 2,
      4: 2,
      5: 3,
      6: 3,
      7: 4,
      8: 5,
      9: 6,
      10: 7,
      11: 7,
      12: 8,
      13: 8,
      14: 8,
      15: 8,
    },
  },
  {
    name: "Wall Breaker",
    type: TroopType.Troop,
    village: Village.Home,
    resource: Resource.Elixir,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 2,
      5: 2,
      6: 3,
      7: 4,
      8: 5,
      9: 5,
      10: 6,
      11: 7,
      12: 8,
      13: 9,
      14: 10,
      15: 11,
    },
  },
  {
    name: "Balloon",
    type: TroopType.Troop,
    village: Village.Home,
    resource: Resource.Elixir,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 2,
      5: 2,
      6: 3,
      7: 4,
      8: 5,
      9: 6,
      10: 6,
      11: 7,
      12: 8,
      13: 9,
      14: 10,
      15: 10,
    },
  },
  {
    name: "Wizard",
    type: TroopType.Troop,
    village: Village.Home,
    resource: Resource.Elixir,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 2,
      6: 3,
      7: 4,
      8: 5,
      9: 6,
      10: 7,
      11: 8,
      12: 9,
      13: 10,
      14: 10,
      15: 11,
    },
  },
  {
    name: "Healer",
    type: TroopType.Troop,
    village: Village.Home,
    resource: Resource.Elixir,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 0,
      6: 0,
      7: 2,
      8: 3,
      9: 4,
      10: 4,
      11: 5,
      12: 5,
      13: 6,
      14: 7,
      15: 7,
    },
  },
  {
    name: "Dragon",
    type: TroopType.Troop,
    village: Village.Home,
    resource: Resource.Elixir,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 0,
      6: 0,
      7: 2,
      8: 3,
      9: 4,
      10: 5,
      11: 6,
      12: 7,
      13: 8,
      14: 9,
      15: 9,
    },
  },
  {
    name: "P.E.K.K.A",
    type: TroopType.Troop,
    village: Village.Home,
    resource: Resource.Elixir,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 0,
      6: 0,
      7: 0,
      8: 3,
      9: 4,
      10: 6,
      11: 7,
      12: 8,
      13: 9,
      14: 9,
      15: 9,
    },
  },
  {
    name: "Baby Dragon",
    type: TroopType.Troop,
    village: Village.Home,
    resource: Resource.Elixir,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 0,
      6: 0,
      7: 0,
      8: 0,
      9: 2,
      10: 4,
      11: 5,
      12: 6,
      13: 7,
      14: 8,
      15: 8,
    },
  },
  {
    name: "Miner",
    type: TroopType.Troop,
    village: Village.Home,
    resource: Resource.Elixir,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 0,
      6: 0,
      7: 0,
      8: 0,
      9: 0,
      10: 3,
      11: 5,
      12: 6,
      13: 7,
      14: 8,
      15: 9,
    },
  },
  {
    name: "Electro Dragon",
    type: TroopType.Troop,
    village: Village.Home,
    resource: Resource.Elixir,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 0,
      6: 0,
      7: 0,
      8: 0,
      9: 0,
      10: 0,
      11: 2,
      12: 3,
      13: 4,
      14: 5,
      15: 6,
    },
  },
  {
    name: "Yeti",
    type: TroopType.Troop,
    village: Village.Home,
    resource: Resource.Elixir,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 0,
      6: 0,
      7: 0,
      8: 0,
      9: 0,
      10: 0,
      11: 0,
      12: 2,
      13: 3,
      14: 4,
      15: 4,
    },
  },
  {
    name: "Dragon Rider",
    type: TroopType.Troop,
    village: Village.Home,
    resource: Resource.Elixir,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 0,
      6: 0,
      7: 0,
      8: 0,
      9: 0,
      10: 0,
      11: 0,
      12: 0,
      13: 2,
      14: 3,
      15: 3,
    },
  },
  {
    name: "Minion",
    type: TroopType.Troop,
    village: Village.Home,
    resource: Resource.DarkElixir,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 0,
      6: 0,
      7: 2,
      8: 4,
      9: 5,
      10: 6,
      11: 7,
      12: 8,
      13: 9,
      14: 10,
      15: 11,
    },
  },
  {
    name: "Hog Rider",
    type: TroopType.Troop,
    village: Village.Home,
    resource: Resource.DarkElixir,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 0,
      6: 0,
      7: 2,
      8: 4,
      9: 5,
      10: 6,
      11: 7,
      12: 9,
      13: 10,
      14: 11,
      15: 11,
    },
  },
  {
    name: "Valkyrie",
    type: TroopType.Troop,
    village: Village.Home,
    resource: Resource.DarkElixir,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 0,
      6: 0,
      7: 0,
      8: 2,
      9: 4,
      10: 5,
      11: 6,
      12: 7,
      13: 8,
      14: 9,
      15: 9,
    },
  },
  {
    name: "Golem",
    type: TroopType.Troop,
    village: Village.Home,
    resource: Resource.DarkElixir,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 0,
      6: 0,
      7: 0,
      8: 2,
      9: 4,
      10: 5,
      11: 7,
      12: 9,
      13: 10,
      14: 11,
      15: 12,
    },
  },
  {
    name: "Witch",
    type: TroopType.Troop,
    village: Village.Home,
    resource: Resource.DarkElixir,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 0,
      6: 0,
      7: 0,
      8: 0,
      9: 2,
      10: 3,
      11: 4,
      12: 5,
      13: 5,
      14: 5,
      15: 6,
    },
  },
  {
    name: "Lava Hound",
    type: TroopType.Troop,
    village: Village.Home,
    resource: Resource.DarkElixir,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 0,
      6: 0,
      7: 0,
      8: 0,
      9: 2,
      10: 3,
      11: 4,
      12: 5,
      13: 6,
      14: 6,
      15: 6,
    },
  },
  {
    name: "Bowler",
    type: TroopType.Troop,
    village: Village.Home,
    resource: Resource.DarkElixir,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 0,
      6: 0,
      7: 0,
      8: 0,
      9: 0,
      10: 2,
      11: 3,
      12: 4,
      13: 5,
      14: 6,
      15: 6,
    },
  },
  {
    name: "Ice Golem",
    type: TroopType.Troop,
    village: Village.Home,
    resource: Resource.DarkElixir,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 0,
      6: 0,
      7: 0,
      8: 0,
      9: 0,
      10: 0,
      11: 3,
      12: 5,
      13: 5,
      14: 6,
      15: 6,
    },
  },
  {
    name: "Headhunter",
    type: TroopType.Troop,
    village: Village.Home,
    resource: Resource.DarkElixir,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 0,
      6: 0,
      7: 0,
      8: 0,
      9: 0,
      10: 0,
      11: 0,
      12: 2,
      13: 3,
      14: 3,
      15: 3,
    },
  },
  {
    name: "Electro Titan",
    type: TroopType.Troop,
    village: Village.Home,
    resource: Resource.Elixir,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 0,
      6: 0,
      7: 0,
      8: 0,
      9: 0,
      10: 0,
      11: 0,
      12: 0,
      13: 0,
      14: 2,
      15: 3,
    },
  },
  {
    name: "Super Barbarian",
    type: TroopType.Super,
    village: Village.Home,
    resource: Resource.Elixir,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 0,
      6: 0,
      7: 0,
      8: 0,
      9: 0,
      10: 0,
      11: 0,
      12: 0,
      13: 0,
      14: 10,
      15: 11,
    },
  },
  {
    name: "Super Archer",
    type: TroopType.Super,
    village: Village.Home,
    resource: Resource.Elixir,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 0,
      6: 0,
      7: 0,
      8: 0,
      9: 0,
      10: 0,
      11: 0,
      12: 0,
      13: 0,
      14: 10,
      15: 11,
    },
  },
  {
    name: "Super Giant",
    type: TroopType.Super,
    village: Village.Home,
    resource: Resource.Elixir,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 0,
      6: 0,
      7: 0,
      8: 0,
      9: 0,
      10: 0,
      11: 0,
      12: 0,
      13: 0,
      14: 10,
      15: 11,
    },
  },
  {
    name: "Sneaky Goblin",
    type: TroopType.Super,
    village: Village.Home,
    resource: Resource.Elixir,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 0,
      6: 0,
      7: 0,
      8: 0,
      9: 0,
      10: 0,
      11: 7,
      12: 8,
      13: 8,
      14: 8,
      15: 8,
    },
  },
  {
    name: "Super Wall Breaker",
    type: TroopType.Super,
    village: Village.Home,
    resource: Resource.Elixir,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 0,
      6: 0,
      7: 0,
      8: 0,
      9: 0,
      10: 0,
      11: 0,
      12: 8,
      13: 9,
      14: 10,
      15: 11,
    },
  },
  {
    name: "Rocket Balloon",
    type: TroopType.Super,
    village: Village.Home,
    resource: Resource.Elixir,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 0,
      6: 0,
      7: 0,
      8: 0,
      9: 0,
      10: 0,
      11: 0,
      12: 9,
      13: 10,
      14: 10,
      15: 10,
    },
  },
  {
    name: "Super Wizard",
    type: TroopType.Super,
    village: Village.Home,
    resource: Resource.Elixir,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 0,
      6: 0,
      7: 0,
      8: 0,
      9: 0,
      10: 0,
      11: 0,
      12: 9,
      13: 10,
      14: 10,
      15: 11,
    },
  },
  {
    name: "Super Dragon",
    type: TroopType.Super,
    village: Village.Home,
    resource: Resource.Elixir,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 0,
      6: 0,
      7: 0,
      8: 0,
      9: 0,
      10: 0,
      11: 0,
      12: 8,
      13: 9,
      14: 10,
      15: 10,
    },
  },
  {
    name: "Inferno Dragon",
    type: TroopType.Super,
    village: Village.Home,
    resource: Resource.Elixir,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 0,
      6: 0,
      7: 0,
      8: 0,
      9: 0,
      10: 0,
      11: 0,
      12: 5,
      13: 6,
      14: 7,
      15: 7,
    },
  },
  {
    name: "Super Minion",
    type: TroopType.Super,
    village: Village.Home,
    resource: Resource.DarkElixir,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 0,
      6: 0,
      7: 0,
      8: 0,
      9: 0,
      10: 0,
      11: 0,
      12: 8,
      13: 9,
      14: 10,
      15: 11,
    },
  },
  {
    name: "Super Valkyrie",
    type: TroopType.Super,
    village: Village.Home,
    resource: Resource.DarkElixir,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 0,
      6: 0,
      7: 0,
      8: 0,
      9: 0,
      10: 0,
      11: 0,
      12: 7,
      13: 8,
      14: 9,
      15: 9,
    },
  },
  {
    name: "Super Witch",
    type: TroopType.Super,
    village: Village.Home,
    resource: Resource.DarkElixir,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 0,
      6: 0,
      7: 0,
      8: 0,
      9: 0,
      10: 0,
      11: 0,
      12: 5,
      13: 5,
      14: 5,
      15: 6,
    },
  },
  {
    name: "Ice Hound",
    type: TroopType.Super,
    village: Village.Home,
    resource: Resource.DarkElixir,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 0,
      6: 0,
      7: 0,
      8: 0,
      9: 0,
      10: 0,
      11: 0,
      12: 5,
      13: 6,
      14: 6,
      15: 6,
    },
  },
  {
    name: "Super Bowler",
    type: TroopType.Super,
    village: Village.Home,
    resource: Resource.DarkElixir,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 0,
      6: 0,
      7: 0,
      8: 0,
      9: 0,
      10: 0,
      11: 0,
      12: 0,
      13: 5,
      14: 6,
      15: 6,
    },
  },
  {
    name: "Lightning Spell",
    type: TroopType.Spell,
    village: Village.Home,
    resource: Resource.Elixir,
    levels: {
      1: 0,
      2: 0,
      3: 2,
      4: 3,
      5: 4,
      6: 4,
      7: 4,
      8: 5,
      9: 6,
      10: 7,
      11: 8,
      12: 9,
      13: 9,
      14: 9,
      15: 10,
    },
  },
  {
    name: "Healing Spell",
    type: TroopType.Spell,
    village: Village.Home,
    resource: Resource.Elixir,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 2,
      5: 2,
      6: 3,
      7: 4,
      8: 5,
      9: 6,
      10: 7,
      11: 7,
      12: 7,
      13: 8,
      14: 8,
      15: 9,
    },
  },
  {
    name: "Rage Spell",
    type: TroopType.Spell,
    village: Village.Home,
    resource: Resource.Elixir,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 2,
      6: 3,
      7: 4,
      8: 5,
      9: 5,
      10: 5,
      11: 5,
      12: 6,
      13: 6,
      14: 6,
      15: 6,
    },
  },
  {
    name: "Jump Spell",
    type: TroopType.Spell,
    village: Village.Home,
    resource: Resource.Elixir,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 0,
      6: 0,
      7: 2,
      8: 2,
      9: 2,
      10: 3,
      11: 3,
      12: 3,
      13: 4,
      14: 4,
      15: 5,
    },
  },
  {
    name: "Freeze Spell",
    type: TroopType.Spell,
    village: Village.Home,
    resource: Resource.Elixir,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 0,
      6: 0,
      7: 0,
      8: 0,
      9: 2,
      10: 5,
      11: 6,
      12: 7,
      13: 7,
      14: 7,
      15: 7,
    },
  },
  {
    name: "Clone Spell",
    type: TroopType.Spell,
    village: Village.Home,
    resource: Resource.Elixir,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 0,
      6: 0,
      7: 0,
      8: 0,
      9: 0,
      10: 3,
      11: 5,
      12: 5,
      13: 6,
      14: 7,
      15: 7,
    },
  },
  {
    name: "Invisibility Spell",
    type: TroopType.Spell,
    village: Village.Home,
    resource: Resource.Elixir,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 0,
      6: 0,
      7: 0,
      8: 0,
      9: 0,
      10: 0,
      11: 2,
      12: 3,
      13: 4,
      14: 4,
      15: 4,
    },
  },
  {
    name: "Poison Spell",
    type: TroopType.Spell,
    village: Village.Home,
    resource: Resource.DarkElixir,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 0,
      6: 0,
      7: 0,
      8: 2,
      9: 3,
      10: 4,
      11: 5,
      12: 6,
      13: 7,
      14: 8,
      15: 9,
    },
  },
  {
    name: "Earthquake Spell",
    type: TroopType.Spell,
    village: Village.Home,
    resource: Resource.DarkElixir,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 0,
      6: 0,
      7: 0,
      8: 2,
      9: 3,
      10: 4,
      11: 5,
      12: 5,
      13: 5,
      14: 5,
      15: 5,
    },
  },
  {
    name: "Haste Spell",
    type: TroopType.Spell,
    village: Village.Home,
    resource: Resource.DarkElixir,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 0,
      6: 0,
      7: 0,
      8: 0,
      9: 2,
      10: 4,
      11: 5,
      12: 5,
      13: 5,
      14: 5,
      15: 5,
    },
  },
  {
    name: "Skeleton Spell",
    type: TroopType.Spell,
    village: Village.Home,
    resource: Resource.DarkElixir,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 0,
      6: 0,
      7: 0,
      8: 0,
      9: 0,
      10: 3,
      11: 4,
      12: 6,
      13: 7,
      14: 7,
      15: 7,
    },
  },
  {
    name: "Bat Spell",
    type: TroopType.Spell,
    village: Village.Home,
    resource: Resource.DarkElixir,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 0,
      6: 0,
      7: 0,
      8: 0,
      9: 0,
      10: 3,
      11: 4,
      12: 5,
      13: 5,
      14: 5,
      15: 6,
    },
  },
  {
    name: "Recall Spell",
    type: TroopType.Spell,
    village: Village.Home,
    resource: Resource.Elixir,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 0,
      6: 0,
      7: 0,
      8: 0,
      9: 0,
      10: 0,
      11: 0,
      12: 0,
      13: 2,
      14: 3,
      15: 4,
    },
  },
  {
    name: "Barbarian King",
    type: TroopType.Hero,
    village: Village.Home,
    resource: Resource.DarkElixir,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 0,
      6: 0,
      7: 5,
      8: 10,
      9: 30,
      10: 40,
      11: 50,
      12: 65,
      13: 75,
      14: 80,
      15: 85,
    },
  },
  {
    name: "Archer Queen",
    type: TroopType.Hero,
    village: Village.Home,
    resource: Resource.DarkElixir,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 0,
      6: 0,
      7: 0,
      8: 0,
      9: 30,
      10: 40,
      11: 50,
      12: 65,
      13: 75,
      14: 80,
      15: 85,
    },
  },
  {
    name: "Grand Warden",
    type: TroopType.Hero,
    village: Village.Home,
    resource: Resource.Elixir,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 0,
      6: 0,
      7: 5,
      8: 0,
      9: 0,
      10: 0,
      11: 20,
      12: 40,
      13: 50,
      14: 55,
      15: 60,
    },
  },
  {
    name: "Royal Champion",
    type: TroopType.Hero,
    village: Village.Home,
    resource: Resource.DarkElixir,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 0,
      6: 0,
      7: 0,
      8: 0,
      9: 0,
      10: 0,
      11: 0,
      12: 0,
      13: 25,
      14: 30,
      15: 35,
    },
  },
  {
    name: "Wall Wrecker",
    type: TroopType.SiegeMachine,
    village: Village.Home,
    resource: Resource.Gold,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 0,
      6: 0,
      7: 0,
      8: 0,
      9: 0,
      10: 0,
      11: 0,
      12: 3,
      13: 4,
      14: 4,
      15: 4,
    },
  },
  {
    name: "Battle Blimp",
    type: TroopType.SiegeMachine,
    village: Village.Home,
    resource: Resource.Gold,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 0,
      6: 0,
      7: 0,
      8: 0,
      9: 0,
      10: 0,
      11: 0,
      12: 3,
      13: 4,
      14: 4,
      15: 4,
    },
  },
  {
    name: "Stone Slammer",
    type: TroopType.SiegeMachine,
    village: Village.Home,
    resource: Resource.Gold,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 0,
      6: 0,
      7: 0,
      8: 0,
      9: 0,
      10: 0,
      11: 0,
      12: 3,
      13: 4,
      14: 4,
      15: 4,
    },
  },
  {
    name: "Siege Barracks",
    type: TroopType.SiegeMachine,
    village: Village.Home,
    resource: Resource.Gold,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 0,
      6: 0,
      7: 0,
      8: 0,
      9: 0,
      10: 0,
      11: 0,
      12: 0,
      13: 3,
      14: 4,
      15: 4,
    },
  },
  {
    name: "Log Launcher",
    type: TroopType.SiegeMachine,
    village: Village.Home,
    resource: Resource.Gold,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 0,
      6: 0,
      7: 0,
      8: 0,
      9: 0,
      10: 0,
      11: 0,
      12: 0,
      13: 4,
      14: 4,
      15: 4,
    },
  },
  {
    name: "Flame Flinger",
    type: TroopType.SiegeMachine,
    village: Village.Home,
    resource: Resource.Gold,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 0,
      6: 0,
      7: 0,
      8: 0,
      9: 0,
      10: 0,
      11: 0,
      12: 0,
      13: 0,
      14: 4,
      15: 4,
    },
  },
  {
    name: "Battle Drill",
    type: TroopType.SiegeMachine,
    village: Village.Home,
    resource: Resource.Gold,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 0,
      6: 0,
      7: 0,
      8: 0,
      9: 0,
      10: 0,
      11: 0,
      12: 0,
      13: 0,
      14: 0,
      15: 4,
    },
  },
  {
    name: "L.A.S.S.I",
    type: TroopType.Pet,
    village: Village.Home,
    resource: Resource.DarkElixir,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 0,
      6: 0,
      7: 0,
      8: 0,
      9: 0,
      10: 0,
      11: 0,
      12: 0,
      13: 0,
      14: 10,
      15: 10,
    },
  },
  {
    name: "Mighty Yak",
    type: TroopType.Pet,
    village: Village.Home,
    resource: Resource.DarkElixir,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 0,
      6: 0,
      7: 0,
      8: 0,
      9: 0,
      10: 0,
      11: 0,
      12: 0,
      13: 0,
      14: 10,
      15: 10,
    },
  },
  {
    name: "Electro Owl",
    type: TroopType.Pet,
    village: Village.Home,
    resource: Resource.DarkElixir,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 0,
      6: 0,
      7: 0,
      8: 0,
      9: 0,
      10: 0,
      11: 0,
      12: 0,
      13: 0,
      14: 10,
      15: 10,
    },
  },
  {
    name: "Unicorn",
    type: TroopType.Pet,
    village: Village.Home,
    resource: Resource.DarkElixir,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 0,
      6: 0,
      7: 0,
      8: 0,
      9: 0,
      10: 0,
      11: 0,
      12: 0,
      13: 0,
      14: 10,
      15: 10,
    },
  },
  {
    name: "Frosty",
    type: TroopType.Pet,
    village: Village.Home,
    resource: Resource.DarkElixir,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 0,
      6: 0,
      7: 0,
      8: 0,
      9: 0,
      10: 0,
      11: 0,
      12: 0,
      13: 0,
      14: 0,
      15: 10,
    },
  },
  {
    name: "Phoenix",
    type: TroopType.Pet,
    village: Village.Home,
    resource: Resource.DarkElixir,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 0,
      6: 0,
      7: 0,
      8: 0,
      9: 0,
      10: 0,
      11: 0,
      12: 0,
      13: 0,
      14: 0,
      15: 10,
    },
  },
  {
    name: "Poison Lizard",
    type: TroopType.Pet,
    village: Village.Home,
    resource: Resource.DarkElixir,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 0,
      6: 0,
      7: 0,
      8: 0,
      9: 0,
      10: 0,
      11: 0,
      12: 0,
      13: 0,
      14: 0,
      15: 10,
    },
  },
  {
    name: "Diggy",
    type: TroopType.Pet,
    village: Village.Home,
    resource: Resource.DarkElixir,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 0,
      6: 0,
      7: 0,
      8: 0,
      9: 0,
      10: 0,
      11: 0,
      12: 0,
      13: 0,
      14: 0,
      15: 10,
    },
  },
  {
    name: "Raged Barbarian",
    type: TroopType.Troop,
    village: Village.BuilderBase,
    resource: Resource.BuilderElixir,
    levels: {
      1: 2,
      2: 4,
      3: 6,
      4: 8,
      5: 10,
      6: 12,
      7: 14,
      8: 16,
      9: 18,
    },
  },
  {
    name: "Sneaky Archer",
    type: TroopType.Troop,
    village: Village.BuilderBase,
    resource: Resource.BuilderElixir,
    levels: {
      1: 2,
      2: 4,
      3: 6,
      4: 8,
      5: 10,
      6: 12,
      7: 14,
      8: 16,
      9: 18,
    },
  },
  {
    name: "Boxer Giant",
    type: TroopType.Troop,
    village: Village.BuilderBase,
    resource: Resource.BuilderElixir,
    levels: {
      1: 0,
      2: 2,
      3: 4,
      4: 8,
      5: 10,
      6: 12,
      7: 14,
      8: 16,
      9: 18,
    },
  },
  {
    name: "Beta Minion",
    type: TroopType.Troop,
    village: Village.BuilderBase,
    resource: Resource.BuilderElixir,
    levels: {
      1: 0,
      2: 2,
      3: 4,
      4: 8,
      5: 10,
      6: 12,
      7: 14,
      8: 16,
      9: 18,
    },
  },
  {
    name: "Bomber",
    type: TroopType.Troop,
    village: Village.BuilderBase,
    resource: Resource.BuilderElixir,
    levels: {
      1: 0,
      2: 0,
      3: 2,
      4: 8,
      5: 10,
      6: 12,
      7: 14,
      8: 16,
      9: 18,
    },
  },
  {
    name: "Baby Dragon",
    type: TroopType.Troop,
    village: Village.BuilderBase,
    resource: Resource.BuilderElixir,
    levels: {
      1: 0,
      2: 0,
      3: 2,
      4: 8,
      5: 10,
      6: 12,
      7: 14,
      8: 16,
      9: 18,
    },
  },
  {
    name: "Cannon Cart",
    type: TroopType.Troop,
    village: Village.BuilderBase,
    resource: Resource.BuilderElixir,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 2,
      5: 10,
      6: 12,
      7: 14,
      8: 16,
      9: 18,
    },
  },
  {
    name: "Night Witch",
    type: TroopType.Troop,
    village: Village.BuilderBase,
    resource: Resource.BuilderElixir,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 2,
      6: 12,
      7: 14,
      8: 16,
      9: 18,
    },
  },
  {
    name: "Drop Ship",
    type: TroopType.Troop,
    village: Village.BuilderBase,
    resource: Resource.BuilderElixir,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 0,
      6: 2,
      7: 14,
      8: 16,
      9: 18,
    },
  },
  {
    name: "Super P.E.K.K.A",
    type: TroopType.Troop,
    village: Village.BuilderBase,
    resource: Resource.BuilderElixir,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 0,
      6: 0,
      7: 2,
      8: 16,
      9: 18,
    },
  },
  {
    name: "Hog Glider",
    type: TroopType.Troop,
    village: Village.BuilderBase,
    resource: Resource.BuilderElixir,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 0,
      6: 0,
      7: 0,
      8: 2,
      9: 18,
    },
  },
  {
    name: "Battle Machine",
    type: TroopType.Hero,
    village: Village.BuilderBase,
    resource: Resource.BuilderElixir,
    levels: {
      1: 0,
      2: 0,
      3: 0,
      4: 0,
      5: 5,
      6: 10,
      7: 20,
      8: 25,
      9: 30,
    },
  },
];
